View | Details | Raw Unified | Return to bug 21552
Collapse All | Expand All

(-)tintin++/Makefile (-7 / +4 lines)
Lines 6-22 Link Here
6
#
6
#
7
7
8
PORTNAME=	tintin
8
PORTNAME=	tintin
9
PORTVERSION=	1.5.6
9
PORTVERSION=	1.5.9
10
CATEGORIES=     net games
10
CATEGORIES=     net games
11
MASTER_SITES=   ftp://ftp.walrus.com/pub/avatar/clients/ \
11
MASTER_SITES=	http://mail.newclear.net/tintin/download/
12
		ftp://ftp.cctpu.edu.ru/pub/comp/networking/mud/ \
12
DISTNAME=	tintin++v1.5pl9
13
		ftp://iclub.nsu.ru/pub/mud/clients/tintin++/
14
DISTNAME=	tintin++v1.5pl6
15
EXTRACT_SUFX=   .tar.Z
16
13
17
MAINTAINER=	ports@FreeBSD.org
14
MAINTAINER=	ports@FreeBSD.org
18
15
19
WRKSRC=         ${WRKDIR}/tintin++/src
16
WRKSRC=         ${WRKDIR}/tintin++/v1.5/src
20
GNU_CONFIGURE=	yes
17
GNU_CONFIGURE=	yes
21
18
22
.include <bsd.port.mk>
19
.include <bsd.port.mk>
(-)tintin++/files/md5 (-1 / +1 lines)
Line 1 Link Here
1
MD5 (tintin++v1.5pl6.tar.Z) = 35e53d661606d035c3e92a249e44160f
1
MD5 (tintin++v1.5pl9.tar.gz) = 0635a327e074d83e7c4b1f70149b6b35
(-)tintin++/patches/patch-aa (-160 / +44 lines)
Lines 1-160 Link Here
1
*** Makefile.in.orig	Fri Sep  9 19:35:20 1994
1
--- Makefile.in.orig	Thu Mar 25 12:03:34 1999
2
--- Makefile.in	Tue Nov 15 02:07:48 1994
2
+++ Makefile.in	Tue Sep 26 08:59:14 2000
3
***************
3
@@ -10,8 +10,7 @@
4
*** 10,17 ****
4
 # try uncommenting the 'gcc' line and commenting the 'cc' one.
5
  # try uncommenting the 'gcc' line and commenting the 'cc' one.
5
 # Tintin++ doesn't *need* an ANSI compiler anymore, but gcc
6
  # Tintin++ doesn't *need* an ANSI compiler anymore, but gcc
6
 # is still better than cc on many platforms...
7
  # is still better than cc on many platforms...
7
-CC = @CC@ -O
8
! CC = @CC@ -O
8
-CFLAGS = @DEFS@
9
! CFLAGS = @DEFS@
9
+CFLAGS += @DEFS@
10
  LIBS = @LIBS@
10
 LIBS = @LIBS@
11
  PIPE = @PIPE@
11
 PIPE = @PIPE@
12
  # If you plan on doing debugging (with gdb), it is very helpful to turn all
12
 # If you plan on doing debugging (with gdb), it is very helpful to turn all
13
--- 10,16 ----
13
@@ -22,10 +21,10 @@
14
  # try uncommenting the 'gcc' line and commenting the 'cc' one.
14
 
15
  # Tintin++ doesn't *need* an ANSI compiler anymore, but gcc
15
 # BINDIR is the directory you wish tt++ to be placed if you wish to use
16
  # is still better than cc on many platforms...
16
 # make install.  
17
! CFLAGS += @DEFS@
17
-BINDIR = ..
18
  LIBS = @LIBS@
18
+BINDIR = /usr/local/bin
19
  PIPE = @PIPE@
19
 
20
  # If you plan on doing debugging (with gdb), it is very helpful to turn all
20
 # DEFAULT_FILE_DIR is the path to tintin files. 
21
***************
21
-DEFAULT_FILE_DIR = ~
22
*** 22,31 ****
22
+DEFAULT_FILE_DIR = /usr/local/lib/tintin
23
  
23
 
24
  # BINDIR is the directory you wish tt++ to be placed if you wish to use
24
 #########################################
25
  # make install.  
25
 # You shouldn't need to change anything #
26
! BINDIR = ..
26
@@ -41,14 +40,15 @@
27
  
27
 	variables.c highlight.c antisub.c ivars.c help.c text.c glob.c
28
  # DEFAULT_FILE_DIR is the path to tintin files. 
28
 OFILES = $(CFILES:.c=.o)
29
! DEFAULT_FILE_DIR = @HOME@
29
 
30
  
30
-all: tintin++ install
31
  #########################################
31
+all: tintin++
32
  # You shouldn't need to change anything #
32
 
33
--- 21,30 ----
33
 tintin++: $(OFILES) tintin.h
34
  
34
 	@echo "Linking..."
35
  # BINDIR is the directory you wish tt++ to be placed if you wish to use
35
 	$(CC) $(CFLAGS) $(FFLAGS) $(LFLAGS) -o tt++ $(OFILES) $(LIBS)
36
  # make install.  
36
 
37
! BINDIR = /usr/local/bin
37
-install: all
38
  
38
-	@./install.sh $(BINDIR) $(DEFAULT_FILE_DIR) $(COMPRESSED_HELP)
39
  # DEFAULT_FILE_DIR is the path to tintin files. 
39
+install:
40
! DEFAULT_FILE_DIR = /usr/local/lib/tintin
40
+	@mkdir -p $(DEFAULT_FILE_DIR)
41
  
41
+	@./install.sh $(BINDIR) $(DEFAULT_FILE_DIR)
42
  #########################################
42
 
43
  # You shouldn't need to change anything #
43
 # Autocompile all .c files into .o files using this rule:
44
***************
44
 .c.o:
45
*** 41,54 ****
46
  	variables.c highlight.c antisub.c ivars.c help.c text.c glob.c
47
  OFILES = $(CFILES:.c=.o)
48
  
49
! all: tintin++ install
50
  
51
  tintin++: $(OFILES) tintin.h
52
  	@echo "Linking..."
53
  	$(CC) $(CFLAGS) $(FFLAGS) $(LFLAGS) -o tt++ $(OFILES) $(LIBS)
54
  
55
! install: all
56
! 	@./install.sh $(BINDIR) $(DEFAULT_FILE_DIR) $(COMPRESSED_HELP)
57
  
58
  # Autocompile all .c files into .o files using this rule:
59
  .c.o:
60
--- 40,54 ----
61
  	variables.c highlight.c antisub.c ivars.c help.c text.c glob.c
62
  OFILES = $(CFILES:.c=.o)
63
  
64
! all: tintin++
65
  
66
  tintin++: $(OFILES) tintin.h
67
  	@echo "Linking..."
68
  	$(CC) $(CFLAGS) $(FFLAGS) $(LFLAGS) -o tt++ $(OFILES) $(LIBS)
69
  
70
! install:
71
! 	@mkdir -p $(DEFAULT_FILE_DIR)
72
! 	@./install.sh $(BINDIR) $(DEFAULT_FILE_DIR) Ok
73
  
74
  # Autocompile all .c files into .o files using this rule:
75
  .c.o:
76
*** configure.old	Sun Aug 28 14:06:38 1994
77
--- configure	Tue Nov 15 01:42:46 1994
78
***************
79
*** 474,489 ****
80
  OLD_CFLAGS="$CFLAGS"
81
  CFLAGS="$CFLAGS -pipe"
82
  
83
! echo "Do you want the helpfile to be compressed (yes/no)? "
84
! read YESNO
85
! if test $YESNO; then
86
!   if echo "$YESNO"|grep -i "no" >/dev/null; then
87
!     DEFS="$DEFS -DCOMPRESSED_HELP=0"
88
!   else
89
!     DEFS="$DEFS -DCOMPRESSED_HELP=1"
90
!     COMPRESSED_HELP="Ok"
91
!   fi
92
! fi
93
  
94
  test -n "$silent" || echo "checking for -pipe"
95
  cat > conftest.${ac_ext} <<EOF
96
--- 474,492 ----
97
  OLD_CFLAGS="$CFLAGS"
98
  CFLAGS="$CFLAGS -pipe"
99
  
100
! DEFS="$DEFS -DCOMPRESSED_HELP=1"
101
! COMPRESSED_HELP="Ok"
102
! 
103
! #echo "Do you want the helpfile to be compressed (yes/no)? "
104
! #read YESNO
105
! #if test $YESNO; then
106
! #  if echo "$YESNO"|grep -i "no" >/dev/null; then
107
! #    DEFS="$DEFS -DCOMPRESSED_HELP=0"
108
! #  else
109
! #    DEFS="$DEFS -DCOMPRESSED_HELP=1"
110
! #    COMPRESSED_HELP="Ok"
111
! #  fi
112
! #fi
113
  
114
  test -n "$silent" || echo "checking for -pipe"
115
  cat > conftest.${ac_ext} <<EOF
116
***************
117
*** 854,860 ****
118
     :; 
119
  fi
120
  
121
! for ac_func in bcopy
122
  do
123
  ac_tr_func=HAVE_`echo $ac_func | tr '[a-z]' '[A-Z]'`
124
  test -n "$silent" || echo "checking for ${ac_func}"
125
--- 857,863 ----
126
     :; 
127
  fi
128
  
129
! for ac_func in
130
  do
131
  ac_tr_func=HAVE_`echo $ac_func | tr '[a-z]' '[A-Z]'`
132
  test -n "$silent" || echo "checking for ${ac_func}"
133
*** install.sh.old	Fri Sep  9 05:43:26 1994
134
--- install.sh	Tue Nov 15 02:05:24 1994
135
***************
136
*** 5,16 ****
137
  
138
  echo " "
139
  echo "Copying the tintin++ executable to \"$1\"..."
140
! strip tt++
141
! cp tt++ "$1"
142
  
143
  echo "Copying the tintin++ help file to \"$2\"..."
144
  if [ "$3" ]; then 
145
!   cp support/.tt_help.txt.Z "$2/"
146
  else
147
    echo Uncompressing.
148
    uncompress -c support/.tt_help.txt.Z | cat > "$2"/.tt_help.txt
149
--- 5,15 ----
150
  
151
  echo " "
152
  echo "Copying the tintin++ executable to \"$1\"..."
153
! install -c -s -o bin -g bin -m 555 tt++ "$1"
154
  
155
  echo "Copying the tintin++ help file to \"$2\"..."
156
  if [ "$3" ]; then 
157
!   install -c -o bin -g bin -m 444 support/.tt_help.txt.Z "$2"
158
  else
159
    echo Uncompressing.
160
    uncompress -c support/.tt_help.txt.Z | cat > "$2"/.tt_help.txt
(-)tintin++/patches/patch-ab (-175 / +18 lines)
Lines 1-175 Link Here
1
*** utils.c.old	Sun Aug 28 18:12:16 1994
1
--- install.sh.orig	Tue Sep 26 09:13:19 2000
2
--- utils.c	Tue Nov 15 01:58:20 1994
2
+++ install.sh	Tue Sep 26 09:13:55 2000
3
***************
3
@@ -5,13 +5,10 @@
4
*** 21,26 ****
4
 
5
--- 21,28 ----
5
 echo " "
6
  #include <unistd.h>
6
 echo "Copying the tintin++ executable to \"$1\"..."
7
  #endif
7
-#strip tt++
8
  
8
-cp tt++ "$1"
9
+ #include <sys/param.h>
9
+install -c -s -o bin -g bin -m 555 tt++ "$1"
10
+ 
10
 
11
  void syserr();
11
 echo "Copying the tintin++ help file to \"$2\"..."
12
  
12
-if [ "$3" ]; then 
13
  /*********************************************/
13
-  cp support/.tt_help.txt.Z "$2/"
14
***************
14
-fi
15
*** 56,62 ****
15
+install -c -o bin -g bin -m 444 support/.tt_help.txt.Z "$2"
16
--- 58,66 ----
16
 
17
       char *msg;
17
 echo 
18
  {
18
 echo "You'll have to do 1 thing before you continue with using tintin++."
19
    extern int errno, sys_nerr;
20
+ #if !defined(BSD) || (BSD < 199306)
21
    extern char *sys_errlist[];
22
+ #endif
23
  
24
    fprintf(stderr,"ERROR: %s (%d",msg, errno);
25
    if(errno>0 && errno<sys_nerr)
26
*** parse.c.bak	Sun Aug 28 18:12:10 1994
27
--- parse.c	Tue Nov 15 02:21:20 1994
28
***************
29
*** 670,679 ****
30
    if(ses && !PSEUDO_PROMPT)
31
      write_line_mud("", ses);
32
    else if (!is_split)
33
!     write(1,"> ", 3);
34
    else {
35
      sprintf(strng,"8> 7[%d;%df", input_row, input_col);
36
!     write(1,strng, strlen(strng)+1);
37
      display_col+=2;
38
    } 
39
  }
40
--- 670,679 ----
41
    if(ses && !PSEUDO_PROMPT)
42
      write_line_mud("", ses);
43
    else if (!is_split)
44
!     write(1,"> ", 2);
45
    else {
46
      sprintf(strng,"8> 7[%d;%df", input_row, input_col);
47
!     write(1,strng, strlen(strng));
48
      display_col+=2;
49
    } 
50
  }
51
*** misc.c.bak	Sun Aug 28 18:12:08 1994
52
--- misc.c	Tue Nov 15 02:28:26 1994
53
***************
54
*** 106,112 ****
55
    char temp[2];
56
    temp[0]=7;
57
    temp[1]=0;
58
!   write(1, temp, 2);
59
  }
60
  
61
  
62
--- 106,112 ----
63
    char temp[2];
64
    temp[0]=7;
65
    temp[1]=0;
66
!   write(1, temp, 1);
67
  }
68
  
69
  
70
***************
71
*** 172,178 ****
72
        cleanup_session(sesptr);
73
      ses=NULL;  
74
      if (is_split) 
75
!       write(1, "c", 3);
76
      tintin_puts2("TINTIN suffers from bloodlack, and the lack of a beating heart...", ses);
77
      tintin_puts2("TINTIN is dead! R.I.P.", ses);
78
      tintin_puts2("Your blood freezes as you hear TINTIN's death cry.", ses);
79
--- 172,178 ----
80
        cleanup_session(sesptr);
81
      ses=NULL;  
82
      if (is_split) 
83
!       write(1, "c", 2);
84
      tintin_puts2("TINTIN suffers from bloodlack, and the lack of a beating heart...", ses);
85
      tintin_puts2("TINTIN is dead! R.I.P.", ses);
86
      tintin_puts2("Your blood freezes as you hear TINTIN's death cry.", ses);
87
*** main.c.bak	Sun Aug 28 18:12:06 1994
88
--- main.c	Tue Nov 15 02:33:37 1994
89
***************
90
*** 562,568 ****
91
      if(ses->logfile) {
92
        if (!OLD_LOG) {
93
        count=0;
94
!       for(n=0;n<=didget;n++) 
95
           if (buffer[n]!='\r') { 
96
              temp[count]=buffer[n]; 
97
              count++;
98
--- 562,568 ----
99
      if(ses->logfile) {
100
        if (!OLD_LOG) {
101
        count=0;
102
!       for(n=0;n<didget;n++)
103
           if (buffer[n]!='\r') { 
104
              temp[count]=buffer[n]; 
105
              count++;
106
***************
107
*** 732,738 ****
108
        sprintf(strng,"%c8%s\n\r%c7%c[%d;%df", E, cptr, E, E, input_row, input_col);
109
      else
110
        sprintf(strng,"%s\n\r", cptr);
111
!     write(1,strng, strlen(strng)+1);
112
      display_col=1;
113
      if (redraw && term_echoing && !is_split)
114
        write(1, k_input, strlen(k_input));
115
--- 732,738 ----
116
        sprintf(strng,"%c8%s\n\r%c7%c[%d;%df", E, cptr, E, E, input_row, input_col);
117
      else
118
        sprintf(strng,"%s\n\r", cptr);
119
!     write(1,strng, strlen(strng));
120
      display_col=1;
121
      if (redraw && term_echoing && !is_split)
122
        write(1, k_input, strlen(k_input));
123
***************
124
*** 764,770 ****
125
        cptr++;
126
        sprintf(strng,"%s\n\r", cptr);
127
      }
128
!     write(1,strng, strlen(strng)+1);
129
      display_col=1;
130
    } 
131
    text_came=TRUE;  
132
--- 764,770 ----
133
        cptr++;
134
        sprintf(strng,"%s\n\r", cptr);
135
      }
136
!     write(1,strng, strlen(strng));
137
      display_col=1;
138
    } 
139
    text_came=TRUE;  
140
***************
141
*** 832,838 ****
142
    input_col=1;  
143
    sprintf(fn, "%c[2J%c[1;%dr%c[%d;1f", E, E, display_row, E, split_line);
144
    write(1,fn, strlen(fn));
145
!   write(1,"-------------------------------------------------------------------------------", 80);
146
    sprintf(fn, "%c[%d;1f%c7", E, split_line-1, E);
147
    write(1,fn,strlen(fn));
148
    sprintf(fn, "%c[%d;1f", E, input_row);
149
--- 832,838 ----
150
    input_col=1;  
151
    sprintf(fn, "%c[2J%c[1;%dr%c[%d;1f", E, E, display_row, E, split_line);
152
    write(1,fn, strlen(fn));
153
!   write(1,"--------------------------------------------------------------------------------", 80);
154
    sprintf(fn, "%c[%d;1f%c7", E, split_line-1, E);
155
    write(1,fn,strlen(fn));
156
    sprintf(fn, "%c[%d;1f", E, input_row);
157
*** net.c.bak	Sun Aug 28 18:12:10 1994
158
--- net.c	Tue Nov 15 03:27:09 1994
159
***************
160
*** 80,86 ****
161
  
162
    tintin_puts("#Trying to connect..", ses);
163
  
164
!   alarm(15);			/* We'll allow connect to hang in 15seconds! NO MORE! */
165
    ticker_interrupted=FALSE;
166
    connectresult=connect(sock, (struct sockaddr *)&sockaddr, sizeof(sockaddr));
167
  #if defined(DEBUG)
168
--- 80,86 ----
169
  
170
    tintin_puts("#Trying to connect..", ses);
171
  
172
!   alarm(30);                    /* We'll allow connect to hang in 30seconds! NO MORE! */
173
    ticker_interrupted=FALSE;
174
    connectresult=connect(sock, (struct sockaddr *)&sockaddr, sizeof(sockaddr));
175
  #if defined(DEBUG)
(-)tintin++/patches/patch-ac (+11 lines)
Line 0 Link Here
1
--- configure.orig	Fri Mar  5 02:55:01 1999
2
+++ configure	Tue Sep 26 08:51:00 2000
3
@@ -1456,7 +1456,7 @@
4
 fi
5
 
6
 
7
-for ac_func in bcopy
8
+for ac_func in
9
 do
10
 echo $ac_n "checking for $ac_func""... $ac_c" 1>&6
11
 echo "configure:1463: checking for $ac_func" >&5
(-)tintin++/patches/patch-ad (+62 lines)
Line 0 Link Here
1
--- main.c.orig	Thu Mar 25 12:26:53 1999
2
+++ main.c	Tue Sep 26 08:43:19 2000
3
@@ -106,12 +106,14 @@
4
 #else
5
 #include <termio.h>
6
 #endif
7
+#ifdef HAVE_TCFLAG_T
8
 tcflag_t c_lflag;
9
 cc_t c_cc[NCCS];
10
 #else
11
 unsigned char c_cc[NCC];
12
 unsigned short c_lflag;
13
 #endif
14
+#endif
15
 
16
 /* CHANGED to get rid of double-echoing bug when tintin++ gets suspended */
17
 void tstphandler(sig, code, scp, addr)
18
@@ -580,7 +582,7 @@
19
     if(ses->logfile) {
20
       if (!OLD_LOG) {
21
       count=0;
22
-      for(n=0;n<=didget;n++) 
23
+      for(n=0;n<didget;n++)
24
          if (buffer[n]!='\r') { 
25
             temp[count]=buffer[n]; 
26
             count++;
27
@@ -750,7 +752,7 @@
28
       sprintf(strng,"%c8%s\n\r%c7%c[%d;%df", E, cptr, E, E, input_row, input_col);
29
     else
30
       sprintf(strng,"%s\n\r", cptr);
31
-    write(1,strng, strlen(strng)+1);
32
+    write(1,strng, strlen(strng));
33
     display_col=1;
34
     if (redraw && term_echoing && !is_split)
35
       write(1, k_input, strlen(k_input));
36
@@ -774,7 +776,7 @@
37
 			sprintf(strng, "%c8%s%c7%c[%d;%df", E, cptr, E, E, input_row, input_col);
38
 		else
39
 			sprintf(strng, "%s", cptr);
40
-		write(1, strng, strlen(strng)+1);
41
+		write(1, strng, strlen(strng));
42
 		display_col=1;
43
 		if (redraw && term_echoing && !is_split)
44
 			write(1, k_input, strlen(k_input));
45
@@ -806,7 +808,7 @@
46
       cptr++;
47
       sprintf(strng,"%s\n\r", cptr);
48
     }
49
-    write(1,strng, strlen(strng)+1);
50
+    write(1,strng, strlen(strng));
51
     display_col=1;
52
   } 
53
   text_came=TRUE;  
54
@@ -876,7 +878,7 @@
55
   input_col=1;  
56
   sprintf(fn, "%c[2J%c[1;%dr%c[%d;1f", E, E, display_row, E, split_line);
57
   write(1,fn, strlen(fn));
58
-  write(1,"-------------------------------------------------------------------------------", 80);
59
+  write(1,"--------------------------------------------------------------------------------", 80);
60
   sprintf(fn, "%c[%d;1f%c7", E, split_line-1, E);
61
   write(1,fn,strlen(fn));
62
   sprintf(fn, "%c[%d;1f", E, input_row);
(-)tintin++/patches/patch-ae (+20 lines)
Line 0 Link Here
1
--- misc.c.orig Mar  5 22:40:11 1999
2
+++ misc.c	Tue Sep 26 08:34:10 2000
3
@@ -106,7 +106,7 @@
4
   char temp[2];
5
   temp[0]=7;
6
   temp[1]=0;
7
-  write(1, temp, 2);
8
+  write(1, temp, 1);
9
 }
10
 
11
 
12
@@ -176,7 +176,7 @@
13
     }
14
     ses=NULL;  
15
     if (is_split) 
16
-      write(1, "c", 3);
17
+      write(1, "c", 2);
18
     tintin_puts2("TINTIN suffers from bloodlack, and the lack of a beating heart...", ses);
19
     tintin_puts2("TINTIN is dead! R.I.P.", ses);
20
     tintin_puts2("Your blood freezes as you hear TINTIN's death cry.", ses);
(-)tintin++/patches/patch-af (+15 lines)
Line 0 Link Here
1
--- parse.c.orig	Sun Aug 28 23:12:10 1994
2
+++ parse.c	Tue Sep 26 08:32:50 2000
3
@@ -670,10 +670,10 @@
4
   if(ses && !PSEUDO_PROMPT)
5
     write_line_mud("", ses);
6
   else if (!is_split)
7
-    write(1,"> ", 3);
8
+    write(1,"> ", 2);
9
   else {
10
     sprintf(strng,"8> 7[%d;%df", input_row, input_col);
11
-    write(1,strng, strlen(strng)+1);
12
+    write(1,strng, strlen(strng));
13
     display_col+=2;
14
   } 
15
 }
(-)tintin++/pkg/DESCR (-6 / +8 lines)
Lines 1-6 Link Here
1
     TINTIN++ is a client program specialized to help playing muds.
1
TINTIN++ is a client program specialized to help playing muds.
2
     This is a souped up version of TINTIN III, many new features
2
This is a souped up version of TINTIN III, many new features
3
     have been added since III.  We saw room for improvement on the
3
have been added since III.  We saw room for improvement on the
4
     features available from TINTIN, and since we like the format of
4
features available from TINTIN, and since we like the format of
5
     the program, we decided to use TINTIN as a base for what we
5
the program, we decided to use TINTIN as a base for what we
6
     hope to make one of the most powerful clients around.
6
hope to make one of the most powerful clients around.
7
8
WWW: http://mail.newclear.net/tintin/

Return to bug 21552